XnLinkedNodeT< T > Struct Template Reference

`#include <XnListT.h>`

## Public Member Functions

| XnLinkedNodeT ()
| XnLinkedNodeT (T const &value)

## Public Attributes

struct XnLinkedNodeT< T > * | pPrev
struct XnLinkedNodeT< T > * | pNext
T | value

## Detailed Description

template<class T>
struct XnLinkedNodeT< T >

A node in a linked list.

Template Parameters

  T | the type of value in the list.

## Constructor & Destructor Documentation

## XnLinkedNodeT() [1/2]

template<class T>

XnLinkedNodeT< T >::XnLinkedNodeT | ( |  | ) |

inline

## XnLinkedNodeT() [2/2]

template<class T>

XnLinkedNodeT< T >::XnLinkedNodeT | ( | T const & | value | ) |

inline

## Member Data Documentation

## pNext

template<class T>

struct XnLinkedNodeT< T >* XnLinkedNodeT< T >::pNext

## pPrev

template<class T>

struct XnLinkedNodeT< T >* XnLinkedNodeT< T >::pPrev

## value

template<class T>

T XnLinkedNodeT< T >::value

The documentation for this struct was generated from the following file:

- XnListT.h